#!/bin/bash
set -x
set -o errexit

export JP_DATABASE_PATH="./jp.cdb"
export SOURCE_TARGET_PATH="./ygopro-database/locales/$LOCALE/cards.cdb"
export OUTPUT_PATH="./output/$FILE_SYMBOL-$LOCALE"

apt update ; apt -y install build-essential python3 sqlite3 git tar
git clone --depth=1 https://code.mycard.moe/mycard/ygopro-database
wget -O pack.db https://cdn02.moecube.com:444/ygopro-card-list/pack.db
wget -O lflist.conf https://cdn02.moecube.com:444/ygopro-database/zh-CN/lflist.conf

cp -rf ./ygopro-database/locales/ja-JP/cards.cdb "$JP_DATABASE_PATH"

npm ci
npm run build
npm run "$NPM_SCRIPT"

cp -rf ./extras/$FILE_SYMBOL/injects/* "$OUTPUT_PATH/" || true

cd "$OUTPUT_PATH"
tar zcvf "../$FILE_SYMBOL-data-$LOCALE.tar.gz" deck expansions
7z a -mx9 "../$FILE_SYMBOL-data-$LOCALE.zip" deck expansions
7z a -mx9 "../$FILE_SYMBOL-data-$LOCALE.7z" deck expansions

cd expansions
7z a -mx9 ../../$FILE_SYMBOL-expansions-$LOCALE-ypk.zip *.cdb
cd ../..

mv $FILE_SYMBOL-expansions-$LOCALE-ypk.zip $FILE_SYMBOL-expansions-$LOCALE.ypk
